zenilib: RestrictFragmentShaderTiming Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
RestrictFragmentShaderTiming Class Reference

`#include <RestrictFragmentShaderTiming.h>`

Inherits TDependencyGraphTraverser.

## Public Member Functions

| RestrictFragmentShaderTiming (TInfoSinkBase &sink)
void | enforceRestrictions (const TDependencyGraph &graph)
int | numErrors () const
virtual void | visitArgument (TGraphArgument *parameter)
virtual void | visitLogicalOp (TGraphLogicalOp *logicalOp)
virtual void | visitLoop (TGraphLoop *loop)
virtual void | visitSelection (TGraphSelection *selection)

## Detailed Description

Definition at line 17 of file RestrictFragmentShaderTiming.h.

## Constructor & Destructor Documentation

RestrictFragmentShaderTiming::RestrictFragmentShaderTiming | ( | TInfoSinkBase & | sink | ) |

Definition at line 12 of file RestrictFragmentShaderTiming.cpp.

## Member Function Documentation

void RestrictFragmentShaderTiming::enforceRestrictions | ( | const TDependencyGraph & | graph | ) |

Definition at line 38 of file RestrictFragmentShaderTiming.cpp.

References TDependencyGraph::beginSamplerSymbols(), TDependencyGraphTraverser::clearVisited(), TDependencyGraph::endSamplerSymbols(), and TGraphSymbol::traverse().

Referenced by TCompiler::enforceFragmentShaderTimingRestrictions().

int RestrictFragmentShaderTiming::numErrors | ( |  | ) | const

inline

Definition at line 21 of file RestrictFragmentShaderTiming.h.

Referenced by TCompiler::enforceFragmentShaderTimingRestrictions().

void RestrictFragmentShaderTiming::visitArgument | ( | TGraphArgument * | parameter | ) |

virtual

Reimplemented from TDependencyGraphTraverser.

Definition at line 83 of file RestrictFragmentShaderTiming.cpp.

References TGraphArgument::getArgumentNumber(), and TGraphArgument::getIntermFunctionCall().

void RestrictFragmentShaderTiming::visitLogicalOp | ( | TGraphLogicalOp * | logicalOp | ) |

virtual

Reimplemented from TDependencyGraphTraverser.

Definition at line 121 of file RestrictFragmentShaderTiming.cpp.

References TGraphLogicalOp::getIntermLogicalOp(), and TGraphLogicalOp::getOpString().

void RestrictFragmentShaderTiming::visitLoop | ( | TGraphLoop * | loop | ) |

virtual

Reimplemented from TDependencyGraphTraverser.

Definition at line 115 of file RestrictFragmentShaderTiming.cpp.

References TGraphLoop::getIntermLoop().

void RestrictFragmentShaderTiming::visitSelection | ( | TGraphSelection * | selection | ) |

virtual

Reimplemented from TDependencyGraphTraverser.

Definition at line 109 of file RestrictFragmentShaderTiming.cpp.

References TGraphSelection::getIntermSelection().

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/timing/RestrictFragmentShaderTiming.h
- zenilib/jni/external/angle/src/compiler/timing/RestrictFragmentShaderTiming.cpp